// 全局音频背景播放状态管理模块
const audioModules = {
  namespaced: true,
  state: {
    list: [], //[{url:音频地址,time:音频时长,title:音频标题,}]
    activityId: 0, //当前是哪个报告的音频
    paused: true, //当前是否音频正在播放 true暂停状态
    curTime: 0, //当前正在播放的音频播放的时间
    activityTitle: "",
  },
  mutations: {
    addAudio(state, payload) {
      console.log(payload, "asdas");
      state.list = payload.list;
      state.activityTitle = payload.activityTitle;
      state.activityId = payload.activityId || 0;
    },
    // 音频状态
    updateAudioPause(state, payload) {
      state.paused = payload;
    },
    // 更新音频播放进度
    updateAudioTime(state, payload) {
      state.curTime = payload;
    },
    //删除当前音频播放
    removeAudio(state, payload) {
      state.list = [];
      state.activityId = 0;
      state.paused = true;
    },
  },
};

export default audioModules;
